---
id: version-11.9.5-i18n
title: Internationalization
original_id: i18n
---

## Add a language

### Edit your bot configs

In the Admin section > Your bots > Configs

![Bot Config](assets/i18n-configs.png)

### Switch language

Go back to Studio and switch language

![Switch Language](assets/i18n-switch-lang.png)

You'll see a "missing translation" notification on your content

![Missing Translation](assets/i18n-missing-translation.png)

### Translate your content

Edit the content and add a translation
![Edit Content](assets/i18n-edit-content.png)
![Edited Content](assets/i18n-edited-content.png)

## Change the language

Botpress use the browser language to detect the user language. This is stored in the `language` field of the user attributes. It is possible to change the language of a user by modifying this field.

See [updateAttributes](https://botpress.com/reference/modules/_botpress_sdk_.users.html#updateattributes)

Example usage:

```js
await bp.users.updateAttributes('web', 'someId', { language: 'fr' })
```
